Groovy 1.7.0

## org.codehaus.groovy.reflection.stdclasses
Class BooleanCachedClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass
          org.codehaus.groovy.reflection.stdclasses.BooleanCachedClass

    class BooleanCachedClass
    extends CachedClass

author:
  Alex.Tkachman

Constructor Summary
`BooleanCachedClass(Class klazz, ClassInfo classInfo, boolean allowNull)`

Method Summary
`boolean` | `isAssignableFrom(Class classToTransformFrom)`
`boolean` | `isDirectlyAssignable(Object argument)`

Methods inherited from class CachedClass

addNewMopMethods, coerceArgument, doCast, getCachedClass, getCachedSuperClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isAssignableFrom, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### BooleanCachedClass

    public BooleanCachedClass(Class klazz, ClassInfo classInfo, boolean allowNull)

Method Detail

### isAssignableFrom

    public boolean isAssignableFrom(Class classToTransformFrom)

### isDirectlyAssignable

    public boolean isDirectlyAssignable(Object argument)

Copyright © 2003-2009 The Codehaus. All rights reserved.